<?php

// Prevent direct access to this file
if (!defined('ABSPATH')) {
    exit;
}

function khattam_enqueue_scripts() {
    // Enqueue media scripts
    wp_enqueue_media();

    // Enqueue admin CSS
    wp_register_style(
        'khattam-admin-style',
        plugin_dir_url(__FILE__) . 'css/admin.css',
        array(),
        filemtime(plugin_dir_path(__FILE__) . 'css/admin.css')
    );
    wp_enqueue_style('khattam-admin-style');

    // Enqueue admin JS for settings page
    wp_register_script(
        'khattam-settings-page-script',
        plugin_dir_url(__FILE__) . 'js/settings-page.js',
        array('jquery'),
        filemtime(plugin_dir_path(__FILE__) . 'js/settings-page.js'),
        true
    );
    wp_enqueue_script('khattam-settings-page-script');

    // Enqueue other scripts as needed
    wp_register_script(
        'khattam-admin-script',
        plugin_dir_url(__FILE__) . 'js/admin.js',
        array('jquery'),
        filemtime(plugin_dir_path(__FILE__) . 'js/admin.js'),
        true
    );
    wp_enqueue_script('khattam-admin-script');

    wp_register_script(
        'khattam-watermark-dialog',
        plugin_dir_url(__FILE__) . 'js/watermark-dialog.js',
        array('jquery', 'jquery-ui-dialog'),
        filemtime(plugin_dir_path(__FILE__) . 'js/watermark-dialog.js'),
        true
    );
    wp_enqueue_script('khattam-watermark-dialog');

    // Localize scripts for translations and variables
    wp_localize_script('khattam-watermark-dialog', 'khattamVars', array(
        'nonce' => wp_create_nonce('khattam_watermark_nonce'),
        'i18n' => array(
            'confirmMessage' => __('Do you want to add a watermark to this image?', 'khattam'),
            'dialogTitle' => __('Watermark Settings', 'khattam'),
            'applyButton' => __('Apply Watermark', 'khattam'),
            'cancelButton' => __('Cancel', 'khattam'),
            'processingMessage' => __('Processing...', 'khattam'),
            'successMessage' => __('Watermark applied successfully', 'khattam'),
            'errorMessage' => __('Error applying watermark', 'khattam'),
            'networkError' => __('Network error occurred', 'khattam')
        )
    ));

    // Add translations for settings-page.js
    wp_localize_script('khattam-settings-page-script', 'khattamVars', array(
        'chooseLogoImageTitle' => __('Choose Logo Image', 'khattam'),
    ));
}
add_action('admin_enqueue_scripts', 'khattam_enqueue_scripts');