jQuery(document).ready(function($) {
    var operationId = new URLSearchParams(window.location.search).get('bulk_watermark_operation');
    if (!operationId) return;

    var isProcessing = true;

    function processNextBatch() {
        if (!isProcessing) return;

        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'khattam_process_bulk_batch',
                operation_id: operationId,
                nonce: khattamBulkVars.nonce
            },
            success: function(response) {
                if (response.success) {
                    var progress = (response.data.processed / response.data.total) * 100;
                    $('.progress-bar').css('width', progress + '%');
                    $('.progress-text').text(Math.round(progress) + '%');

                    if (response.data.status === 'completed') {
                        isProcessing = false;
                        $('#khattam-bulk-progress')
                            .removeClass('notice-info')
                            .addClass('notice-success');
                        $('.progress-text').text(khattamBulkVars.i18n.operationCompleted);
                        $('.operation-controls').html(
                            '<button class="button button-primary" onclick="window.location.href=\'' + 
                            khattamBulkVars.adminUrl + '\'">' + 
                            khattamBulkVars.i18n.returnToMedia + '</button>'
                        );
                    } else {
                        processNextBatch();
                    }
                } else {
                    alert(response.data.message);
                    isProcessing = false;
                }
            },
            error: function() {
                alert(khattamBulkVars.i18n.connectionError);
                isProcessing = false;
            }
        });
    }

    $('.cancel-operation').click(function() {
        if (confirm(khattamBulkVars.i18n.confirmCancel)) {
            isProcessing = false;
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'khattam_cancel_bulk_operation',
                    operation_id: operationId,
                    nonce: khattamBulkVars.nonce
                },
                success: function() {
                    window.location.href = khattamBulkVars.adminUrl;
                }
            });
        }
    });

    processNextBatch();
}); 